
TYPO3.Flow - Bug # 6195

Status: Resolved Priority: Should have
Author: Fabian Guth Category: Property
Created: 2010-01-24 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Empty form fields converted to empty string instead of type declared for property
Description

After submitting an empty form field of an integer property i get the following error:

#1244465559: Expected property of type integer, but got string

F3\FLOW3\Persistence\Exception\UnexpectedTypeException thrown in file
Packages/Framework/FLOW3/Classes/Persistence/Backend/AbstractBackend.php in line 278.

F3\FLOW3\Persistence\Backend\AbstractBackend::checkType("integer", "")

After changing the property type to string it validates the Object.

Flow3/PHP is converting empty form fields to empty strings "". It would be better if they are treated as NULL. (Validation actually
checks for NULL)

Related issues:
related to TYPO3.Flow - Feature # 9456: MVC arguments should be converted to ... Resolved 2010-08-25

Associated revisions
Revision 112feeea - 2010-08-25 16:12 - Robert Lemke

[+FEATURE] FLOW3 (MVC): Convert controller arguments into their declared data type

Controller Arguments are now converted into real integers, floats and booleans if
they wered declared as such in the type hint or @param annotation.

Empty values are now detected as such and result in NULL as the argument's value.

Change-Id: I3deace5bb0e40a7e0fb7e2302d4995d8f74f0009
Resolves: #9456
Fixes: #6195

Revision 95131fac - 2010-08-25 16:52 - Robert Lemke

[+FEATURE] FLOW3 (MVC): Convert controller arguments into their declared data type

Controller Arguments are now converted into real integers, floats and booleans if
they wered declared as such in the type hint or @param annotation.
Empty values are now detected as such and result in NULL as the argument's value.

Change-Id: I3deace5bb0e40a7e0fb7e2302d4995d8f74f0009
Resolves: #9456
Fixes: #6195

History
#1 - 2010-02-02 10:49 - Robert Lemke
- Subject changed from Empty From Fields to Empty Form Fields

#2 - 2010-03-18 17:15 - Karsten Dambekalns
- Subject changed from Empty Form Fields to Empty form fields converted to empty string instead of type declared for property
- Category changed from MVC to Property
- Priority changed from Must have to Should have
- Start date deleted (2010-01-24)

#3 - 2010-07-09 14:02 - Robert Lemke
- Target version set to 1.0 alpha 11

#4 - 2010-08-18 17:03 - Karsten Dambekalns
- Target version deleted (1.0 alpha 11)

#5 - 2010-08-24 17:31 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke
- Target version set to 1.0 alpha 11

#6 - 2010-08-25 16:30 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"112feeea56d696abf05ceeda158fec6f879c0b50".
